curl --request POST \
--url 'https://api.stateset.com/api/v1/warranties' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"duration_months": 8,
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"warranty_type": "string"
}'
{
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"warranty_number": "string",
"warranty_type": "string"
}
Create a warranty
Create a warranty
POST
/
api
/
v1
/
warranties
curl --request POST \
--url 'https://api.stateset.com/api/v1/warranties' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"duration_months": 8,
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"warranty_type": "string"
}'
{
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"warranty_number": "string",
"warranty_type": "string"
}
Request body
CreateWarrantyRequest
integer,null (int32)
string (uuid)
required
string (uuid)
required
string,null
Response
WarrantyResponse
string
required
string
required
string
required
string
required
string
required
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
201 | — |
400 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/warranties' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"duration_months": 8,
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"warranty_type": "string"
}'
{
"created_at": "2026-08-31T14:22:05Z",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"product_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending",
"warranty_number": "string",
"warranty_type": "string"
}
Last modified on August 31, 2026